VTK: tovtkm::vtkPortalTraits< vtkm::Vec< vtkm::Vec< T, N >, M > > Struct Template Reference

| VTK 9.3.1

Public Types | Static Public Member Functions | Static Public Attributes | List of all members
tovtkm::vtkPortalTraits< vtkm::Vec< vtkm::Vec< T, N >, M > > Struct Template Reference

`#include <PortalTraits.h>`

## Public Types
using | TagType = vtkPortalOfVecOfVecValues
using | ComponentType = typename std::remove_const< T >::type
using | Type = vtkm::Vec< vtkm::Vec< T, N >, M >

## Static Public Member Functions
static void | SetComponent (Type &t, vtkm::IdComponent i, const ComponentType &v)
static ComponentType | GetComponent (const Type &t, vtkm::IdComponent i)

## Static Public Attributes
static constexpr vtkm::IdComponent | NUM_COMPONENTS = N * M
static constexpr vtkm::IdComponent | NUM_COMPONENTS_OUTER = M
static constexpr vtkm::IdComponent | NUM_COMPONENTS_INNER = N

## Detailed Description

### template<typename T, int N, int M>
struct tovtkm::vtkPortalTraits< vtkm::Vec< vtkm::Vec< T, N >, M > >

Definition at line 80 of file PortalTraits.h.

## Member Typedef Documentation

## ◆ TagType

template<typename T , int N, int M>

using tovtkm::vtkPortalTraits< vtkm::Vec< vtkm::Vec< T, N >, M > >::TagType = vtkPortalOfVecOfVecValues

Definition at line 82 of file PortalTraits.h.

## ◆ ComponentType

template<typename T , int N, int M>

using tovtkm::vtkPortalTraits< vtkm::Vec< vtkm::Vec< T, N >, M > >::ComponentType = typename std::remove_const<T>::type

Definition at line 83 of file PortalTraits.h.

## ◆ Type

template<typename T , int N, int M>

using tovtkm::vtkPortalTraits< vtkm::Vec< vtkm::Vec< T, N >, M > >::Type = vtkm::Vec<vtkm::Vec<T, N>, M>

Definition at line 84 of file PortalTraits.h.

## Member Function Documentation

## ◆ SetComponent()

template<typename T , int N, int M>

static void tovtkm::vtkPortalTraits< vtkm::Vec< vtkm::Vec< T, N >, M > >::SetComponent | ( | Type & | t,
|  | vtkm::IdComponent | i,
|  | const ComponentType & | v
| ) |  |
| inlinestatic

Definition at line 90 of file PortalTraits.h.

## ◆ GetComponent()

template<typename T , int N, int M>

static ComponentType tovtkm::vtkPortalTraits< vtkm::Vec< vtkm::Vec< T, N >, M > >::GetComponent | ( | const Type & | t,
|  | vtkm::IdComponent | i
| ) |  |
| inlinestatic

Definition at line 98 of file PortalTraits.h.

## Member Data Documentation

## ◆ NUM_COMPONENTS

template<typename T , int N, int M>

constexpr vtkm::IdComponent tovtkm::vtkPortalTraits< vtkm::Vec< vtkm::Vec< T, N >, M > >::NUM_COMPONENTS = N * M
| staticconstexpr

Definition at line 85 of file PortalTraits.h.

## ◆ NUM_COMPONENTS_OUTER

template<typename T , int N, int M>

constexpr vtkm::IdComponent tovtkm::vtkPortalTraits< vtkm::Vec< vtkm::Vec< T, N >, M > >::NUM_COMPONENTS_OUTER = M
| staticconstexpr

Definition at line 87 of file PortalTraits.h.

## ◆ NUM_COMPONENTS_INNER

template<typename T , int N, int M>

constexpr vtkm::IdComponent tovtkm::vtkPortalTraits< vtkm::Vec< vtkm::Vec< T, N >, M > >::NUM_COMPONENTS_INNER = N
| staticconstexpr

Definition at line 88 of file PortalTraits.h.

The documentation for this struct was generated from the following file:

- Accelerators/Vtkm/Core/vtkmlib/PortalTraits.h